/*
==========
Footer
==========
*/

.footer{
    background:var(--blue-color);
    color:var(--white-color);
    padding-top:70px;
}

/*
==========
Container
==========
*/

.footer__container{
    max-width:1100px;
    margin:auto;
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:50px;
    padding:0 2em 60px 2em;
}

/*
==========
Columns
==========
*/

.footer__column h3{
    margin-bottom:20px;
}

.footer__text{
    line-height:1.6;
}

/*
==========
Links
==========
*/

.footer__links{
    list-style:none;
    padding:0;
}

.footer__links li{
    margin-bottom:10px;
}

.footer__links a{
    text-decoration:none;
    color:var(--white-color);
    transition:.3s;
}

.footer__links a:hover{
    color:var(--orange-color);
}

.footer__social .icon{
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer__social .icon svg{
    width: 100%;
    height: 100%;
    fill: var(--white-color);
}

/*
==========
Social
==========
*/

.footer__social{
    margin-top:20px;
    display:flex;
    gap:12px;
}

.footer__social-link{
    width:40px;
    height:40px;
    background:var(--orange-color);
    display:flex;
    align-items:center;
    justify-content:center;
    border-radius:50%;
    color:var(--white-color);
    transition:.3s;
}

.footer__social-link:hover{
    transform:translateY(-4px);
}

/*
==========
Bottom
==========
*/

.footer__bottom{
    border-top:1px solid var(--white-color-transparent);
    text-align:center;
    padding:25px 1em;
}

.footer__bottom a{
    color:var(--orange-color);
    text-decoration:none;
}

/*
==========
Reveal animation
==========
*/

.reveal-up{
    opacity:0;
    transform:translateY(80px);
    transition:all .8s ease;
}

.reveal-up.active{
    opacity:1;
    transform:translateY(0);
}

/*
==========
Responsive
==========
*/

@media (max-width:900px){
    .footer__container{
        grid-template-columns:1fr;
        text-align:center;
    }
    .footer__social{
        justify-content:center;
    }
}